vue cli3.0 无法热更新

在使用vue cli3脚手架搭建新项目时,发现无法热更新页面。
测试后发现情况是,用默认的配置即vue create 后选用default (babel, eslint),项目正常运行,
但是当采用自定义配置,加上Router、CSS Pre-processors后就无法热更新了。
版本信息如下:

node v8.12.0/npm 6.4.1/vue cli 3.1.0
编辑器为 vscode

安装过程并没有提示任何错误及警告信息。
尝试过重装更新node版本、vue cli版本以及vscode编辑器都没有效果。

再然后在vue ui 的界面管理里面发现有个提示

Couldn't parse bundle asset "E:\worker\waps\dist\app.0b958edd130893e99053.hot-update.js".
Analyzer will use module sizes from stats file.

但是能力有限 找不到错误在哪里。
补充一下,以前创建的项目 依然是可以热更新的。就只有新建并且是自定义配置项目不行。

回答:

https://github.com/vuejs/vue-…

暂无评论

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注